Summary:	A spam filter for Usenet news servers
Name:		cleanfeed
Version:	20020501
Release:	%mkrel 17
License:	Artistic
Group:		System/Servers
URL:		https://www.bofh.it/~md/cleanfeed/
Source0:	https://www.bofh.it/~md/cleanfeed/%{name}-%{version}.tgz
Patch0:		cleanfeed-20020501-config.patch
BuildArch:	noarch

%description
Cleanfeed is an automatic spam filter for Usenet news servers and
routers (INN, Cyclone, Typhoon, Breeze and NNTPRelay).  Cleanfeed is
highly configurable, easily modified and very fast.  It can be configured
to block binary posts to non-binary newsgroups, to cancel already-rejected
articles, and to reject some spamming from local users.

Install the cleanfeed package if you need a spam filter for a Usenet news
server.

%prep
%setup -q
%patch -P 0 -p1 -b .config

chmod 644 CHANGES README

%install
mkdir -p $RPM_BUILD_ROOT/{%{_sysconfdir}/news,%{_mandir}/man8,%{_libdir}/news/bin/control}
install -m 0644 cleanfeed.local.sample $RPM_BUILD_ROOT/%{_sysconfdir}/news/cleanfeed.local
install -m 0644 bad_adult_paths $RPM_BUILD_ROOT/%{_sysconfdir}/news
install -m 0644 bad_cancel_paths $RPM_BUILD_ROOT/%{_sysconfdir}/news
install -m 0644 bad_paths $RPM_BUILD_ROOT/%{_sysconfdir}/news
install -m 0644 bad_hosts $RPM_BUILD_ROOT/%{_sysconfdir}/news
install -m 0755 cleanfeed $RPM_BUILD_ROOT/%{_libdir}/news/bin/control/filter_innd.pl

%files
%doc CHANGES README
%attr(-,news,news) %config(noreplace) %{_sysconfdir}/news/cleanfeed.local
%attr(-,news,news) %config(noreplace) %{_sysconfdir}/news/bad_adult_paths
%attr(-,news,news) %config(noreplace) %{_sysconfdir}/news/bad_cancel_paths
%attr(-,news,news) %config(noreplace) %{_sysconfdir}/news/bad_paths
%attr(-,news,news) %config(noreplace) %{_sysconfdir}/news/bad_hosts
%attr(-,news,news) %{_libdir}/news/bin/control/filter_innd.pl





%changelog
* Sat Dec 21 2024 pterjan <pterjan> 20020501-17.mga10
+ Revision: 2127146
- Rebuild for patchN deprecation

* Sat Mar 19 2022 umeabot <umeabot> 20020501-16.mga9
+ Revision: 1801038
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 20020501-15.mga8
+ Revision: 1490114
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 20020501-14.mga7
+ Revision: 1261567
- Mageia 7 Mass Rebuild

* Sun Jan 31 2016 umeabot <umeabot> 20020501-13.mga6
+ Revision: 929478
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20020501-12.mga5
+ Revision: 748843
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20020501-11.mga5
+ Revision: 678421
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 20020501-10.mga4
+ Revision: 503360
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 20020501-9.mga3
+ Revision: 347874
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 27 2011 ennael <ennael> 20020501-8.mga1
+ Revision: 61158
- imported package cleanfeed

